body {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    background: url('https://ipl.artsee.id/images/background-login.jpg') no-repeat center center fixed;
    background-size: cover;
    overflow: hidden; /* Hindari pergeseran saat alert muncul */
}
/* Menyesuaikan posisi gambar untuk layar kecil (mobile) */
@media screen and (max-width: 768px) {
    body {
        background-position: center top; /* Memastikan gambar fokus di tengah */
        background: url('https://ipl.artsee.id/images/login-bg-mobile.jpg') no-repeat center center fixed;
        background-size: cover;
    }
}

body.swal2-shown {
    overflow: hidden !important; /* Mencegah scroll saat SweetAlert aktif */
}

.login-container {
    position: fixed; /* Tetap di tempat */
    display: flex;
    top: 50%; 
    left: 50%;
    transform: translate(-50%, -50%);
    width: 670px;
    background: rgba(255, 255, 255, 0.9);
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    margin-left: auto;
    margin-right: auto;
}

.login-image {
    flex: 1;
    background: url('images/ikon-login.png') no-repeat center;
    background-size: cover;
}

.login-box {
    flex: 1;
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 350px; /* Tetapkan ukuran tetap */
    max-width: 100%; /* Mencegah melebihi batas layar */
}

.login-box form {
    width: 100%;
}

.login-box input {
    width: 100%; /* Pastikan input mengisi form */
    box-sizing: border-box; /* Hindari perubahan ukuran karena padding */
}

.logo {
    width: 100px;
    margin-bottom: 20px;
}

h2 {
    margin-bottom: 20px;
}

h3 {
    margin-left: -28px;
}

input[type="text"], input[type="password"], input[type="email"] {
    width: 100%;
    max-width: 302px;
    padding: 10px 10px 10px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 10px 10px 10px 0px;
}

@media (max-width: 768px) {
input[type="text"], input[type="password"], input[type="email"]  {
        max-width: 90%;
    }
}

button {
    width: 99%;
    padding: 10px;
    background: #007bff;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 10px;
}

button:hover {
    background: #0056b3;
}

p {
    margin-top: 10px;
}

/* Responsiveness */
@media (max-width: 768px) {
    .login-container {
        flex-direction: column;
        width: 90%;
    }
    
    .login-image {
        display: none;
    }
    
    .login-box {
        width: 100%;
        padding: 20px;
    }

	button {
		width: 89%;
	}
	.g-recaptcha{
		margin-top: 16px;
		margin-right: 24px;
	}
}

.sidebar-logo{
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 50%;
    display: block;
    margin: 0px auto;
}

/* Responsiveness */
@media (max-width: 768px) {
    .sidebar-logo{margin: 0px 0px 20px -34px;}
}
